.my-account-dashboard {
  display: flex;
  gap: 2rem;
  font-family: 'Arial', sans-serif;
  color: #3c3c3c;
}

.dashboard-sidebar {
  width: 20.4375rem;
  border-right: 1px solid var(--gray);
  padding-right: 2.8125rem;
}
.dashboard-sidebar h3 {
  font-size: 1.75rem;
  font-weight: 500;
  margin-bottom: 2.1875rem;
  padding-bottom: 2.1875rem;
  border-bottom: 1px solid var(--gray) ;
}
.dashboard-sidebar ul {
  list-style: none;
  font-size: 1.5rem;
  padding: 0;
  margin: 0;
}

.dashboard-sidebar ul li a {
	width: 100%;
	display: block;
	  text-decoration: none;
	  color: var(--text-dark);
	  font-weight: 500;
	  padding-top: 1.5625rem;
	  padding-bottom: 1.5625rem;
	  padding-left: 1.5625rem;
	border-radius: 0.3125rem;
}
.dashboard-sidebar ul li:hover a,
.dashboard-sidebar ul li.is-active a{
  background-color:  var(--text-dark);
	color: var(--color-main-background);
}

.dashboard-sidebar ul li,
.dashboard-sidebar ul li a {
  transition: all 0.2s ease;
}
.dashboard-content {
  flex: 1;
  margin-left: 2.1875rem;
}
.dashboard-content .title_dashboard {
  font-size: 3.5625rem;
  margin-bottom: 3.75rem;
}

.dashboard-cards {
  display: grid;
  grid-template-columns: repeat(2, 1fr); 
  gap: 0.625rem; 
}
.dashboard-card {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-decoration: none;
  background: transparent;
  text-align: center;
  transition: all 0.3s ease;
  position: relative;
  overflow: hidden;
  border: 2px solid #EBE1CE;
  border-radius: 0.3125rem;
  padding-bottom: 4rem;
  padding-top: 4rem;
}
.dashboard-card:hover {
  transform: scale(1.05);
  z-index: 10; 
  background-color: var(--white);
	border-color: var(--white);
  border: none;
  border-radius: 0.3125rem;
  font-size: 2rem;
}
.dashboard-card-icon {
  width: 5.3125rem;
  height: 5.3125rem;
  margin-bottom: 1.875rem;
}
.dashboard-card-icon svg{
  fill: none;
  stroke: var(--text-dark);
}
.dashboard-card-label {
  font-size: 1.75rem;
  font-weight: 500;
  color: var(--text-dark);
}
.account{
  display: flex;
  flex-direction: row;
  margin-bottom: 13.5625rem;
}

.account .account__content{
	flex: 1 1 auto;

}

.account #wcus-billing-fields {
	width:100%;
}

.account #wcus-billing-fields .wcus-checkout-fields{
	display: flex !important;
	width:100%;
}

.account #wcus-billing-fields .wcus-checkout-fields > div{
	width: 100%;
}

.account #wcus-billing-fields .wcus-state-loading:after, 
.account #wcus-billing-fields .wcus-state-loading:before{
	content: none;
}

.account #wcus-billing-fields h3{
	display: none;
}

.account #wcus-billing-fields .wcus-checkout-fields div:not(.zen-ui-select){
	display: flex;
	gap: 0 3.75rem;
}

.account #wcus-billing-fields .wcus-checkout-fields > div:not(.zen-ui-select){
	flex-direction: column;
	flex-wrap: nowrap;
	gap: 3.75rem;
}

.account #wcus-billing-fields .wcus-checkout-fields div p:has(+ p),
.account #wcus-billing-fields .wcus-checkout-fields div p + p{ 
	width: calc(50% - 1.875rem);
}

.account #wcus-billing-fields .wcus-checkout-fields .zen-ui-select .zen-ui-select__value{

	width: 100%;
	color: var(--text-dark);
	border: none;
    font-size: 1.5rem;
    padding: 0px 1.75rem 1.875rem 0px!important;
    border-bottom: 0.125rem solid #D3D1CB;
	font-weight: 400;
	    background-color: transparent;
    border-radius: 0px;
}

.account #wcus-billing-fields .wcus-checkout-fields .zen-ui-select .zen-ui-select__value svg{
	display: none;
}

.account #wcus-billing-fields .wcus-checkout-fields .zen-ui-select .zen-ui-select__value::after{
	content: "";
	display: block;
	
	width: 1.4375rem;
	height: 0.875rem;
	
	background-image: url('../images/select-chevron.svg');
	background-repeat: no-repeat;
	background-size: cover;
	position: absolute;
	right: 0px; 
	bottom: 1.875rem;
	transform: translate(0, -50%);
	transition: all .3s linear;
}

.account #wcus-billing-fields .wcus-checkout-fields .zen-ui-select .zen-ui-select__value.disabled::after{
	transform: rotate(180deg);
}

.account .dashboard-address-text,
.account .dashboard-address-text .woocommerce-Address{
	gap: 1.875rem;
}

.account .dashboard-address-text .woocommerce-Address address{
	font-style: normal;
	font-size: 1.5rem;
	line-height: 120%;
}

@media (max-width: 959px) {
  .account{
    display: flex;
    flex-direction: column;
    margin-bottom: 6.25rem;
  }
  .dashboard-sidebar {
    width: 20.4375rem;
    border-right: none;
    padding-right: 0;
  }
  .dashboard-sidebar h3 {
    font-size: 1.25rem;
    font-weight: 600;
    margin-bottom: 1.5625rem;
    padding-bottom: 1.25rem;
    border-bottom: 1px solid var(--gray) ;
  }
  .dashboard-sidebar ul {
    list-style: none;
    font-size: 1.25rem;
    margin-bottom: 2.875rem;
  }
  .dashboard-content {
    margin-left: 0;
  }
  .dashboard-content .title_dashboard {
    font-size: 2.0625rem;
    margin-bottom: 2.5rem;
  }
  .dashboard-cards {
    display: grid;
    grid-template-columns: repeat(1, 1fr); 
    gap: 0.625rem; 
  }
  .dashboard-card-icon {
    width: 3.9375rem;
    height: 3.9375rem;
    margin-bottom: 1.25rem;
  }
  .dashboard-card-label {
    font-size: 1.25rem;
    font-weight: 500;
  }
	
	.account .dashboard-address-text,
.account .dashboard-address-text .woocommerce-Address{
	gap: 1.5rem;
}

.account .dashboard-address-text .woocommerce-Address address{
	font-size: 1rem;
}
}

/*Page Orders*/
.dashboard-orders {
  display: flex;
  flex-direction: column;
  gap: 2.5rem;
  margin-left: 2.1875rem;
  width: 100%;
}

.order-card {
  background: var(--white);
  border-radius: 0.625rem;
  padding: 2.1875rem;
}

.order-card-header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  cursor: pointer;
}

.order-card-thumb{
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 2.1875rem;
}

.order-card-thumb img {
  width: 5.3125rem;
  height: 6.6875rem;
  object-fit: cover;
  border-radius: 0.3125rem;
}

.order-card-title {
  font-weight: 500;
  font-size: 1.5rem;
}

.order-card-datetime {
  font-size: 1.5rem;
  color: var(--text-dark);
}

.order-card-status {
  display: flex;
  align-items: center;
  gap: 5.3125rem;
}

.status {
  background: #CBB7AE;
  padding: 0.9375rem 0.75rem;
  border-radius: 0.3125rem;
  font-size: 1.375rem;
  color: var(--text-dark);
}
.order-card-button {
  display: flex;
  flex-direction: row;
  gap: 2.8125rem;
}
.order-card-details {
  display: none;
  margin-top: 3rem;
  font-size: 1.5rem;
}
.order-card-details p{
  margin-bottom: 2.8125rem;
}
.order-card-details strong{
  margin-bottom: 2.5rem;
  display: inline-block;
}
.order-card.open .order-card-details {
  display: block;
}
.toggle-details{
  background: none;
  border: none;
  cursor: pointer;
}
.toggle-details svg{
  background: none;
  border: none;
  cursor: pointer;
  fill: none;
  stroke: var(--text-dark);
  width: 2.3125rem;
  height: 1.75rem;
}

.account fieldset{
    width: 100%;
    padding: 2.1875rem;
    background-color: var(--color-white-background);
    border-radius: 0.625rem;
    border: none;
    margin: 0px;
}

.account fieldset {
	gap: 2.8125rem;
}

@media (max-width: 959px) {
	
	.dashboard-sidebar ul li a {
	  padding-top: 1.3125rem;
	  padding-bottom: 1.25rem;
	  padding-left: 1.5625rem;
}
	
  .dashboard-orders {
    margin-left: 0;
  }
  .order-card {
    padding: 0.9375rem;
  }

  .order-card-header {
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-start;
    gap: 0.9375rem;
  }

  .order-card-thumb {
    flex-direction: row;
    align-items: center;
    gap: 0.9375rem;
    justify-content: space-between;
  }

  .order-card-thumb img {
    width: 5.3125rem;
    height: 6.6875rem;
  }

  .order-card-title {
    font-size: 1rem;
    gap: 1.9375rem;
    display: flex;
    flex-direction: column;
  }
  
  .order-card-status {
    width: 100%;
    justify-content: space-between;
    gap: 0.625rem;
    flex-wrap: wrap;
    font-size: 1rem;
  }

  .order-card-datetime {
    font-size: 1rem;
  }
	
	.order-card-details strong{
		margin-bottom: 1.5625rem;
	}

  .status {
    font-size: 1rem;
    padding: 0.75rem 0.75rem;
    width: fit-content;
  }

  .toggle-details svg {
    width: 1.25rem;
    height: 1rem;
  }

  .order-card-details{
    font-size: 1rem;
  }
	
  .account fieldset{
    padding: 2.1875rem 0.9375rem;
 }

.account fieldset {
	gap: 1.5625rem;
}
	
.account #wcus-billing-fields .wcus-checkout-fields div p:has(+ p),
.account #wcus-billing-fields .wcus-checkout-fields div p + p{ 
	width: 100%;
}
	
	.account #wcus-billing-fields .wcus-checkout-fields div:not(.zen-ui-select),
	.account #wcus-billing-fields .wcus-checkout-fields > div{
		flex-direction: column;
		gap: 1.5625rem;
	}
	
	.account #wcus-billing-fields .wcus-checkout-fields .zen-ui-select .zen-ui-select__value{
		font-size: 1rem;
    	padding: 0px 1.75rem 1.25rem 0px !important;
	}
	
	.account #wcus-billing-fields .wcus-checkout-fields .zen-ui-select .zen-ui-select__value::after{
		bottom: 1.25rem;
		width: 1.3125rem;
        height: 0.75rem;
	}
}
